#
# spec file for package DevIL
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# SONAME Version tags (*.so.$NUM)
%define libIL 1

Summary:        A full featured cross platform image library
License:        LGPL-2.1
Group:          System/Libraries
Name:           libIL%{libIL}
Version:        1.7.8
Release:        12.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://openil.sourceforge.net/
Source:         http://sourceforge.net/projects/openil/files/DevIL/1.7.8/DevIL-%{version}.tar.gz
Patch0:         DevIL-%{version}-return-random-data.patch
# From Gentoo
Patch1:         DevIL-%{version}-CVE-2009-3994.patch
# From Gentoo
Patch2:         DevIL-%{version}-libpng14.patch
BuildRequires:  OpenEXR-devel
BuildRequires:  SDL-devel
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libmng-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

%if 0%{?suse_version}  
PreReq:         %install_info_prereq  
BuildRequires:  freeglut-devel
BuildRequires:  liblcms-devel
%endif  

%if 0%{?mandriva_version}  
BuildRequires:  lcms-devel
BuildRequires:  mesaglut-devel
%endif 

%if 0%{?suse_version}
PreReq:         %install_info_prereq
%endif

Provides:       libdevil1 <= %{version}
Obsoletes:      libdevil1 < %{version}

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. Ultimate control of images is left
to the developer, so unnecessary conversions, etc. are not performed.
DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save,
convert, manipulate, filter and display a wide variety of image formats.

Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg,
.lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm,
.psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal,
.pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif.

DevIL currently supports the following APIs for display: OpenGL,
Windows GDI, SDL, DirectX and Allegro. Compilers that can compile
DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual
Basic, Power Basic and Dev-C++.

%package -n DevIL-devel
Summary:        A full featured cross platform image library headers and static libs
Group:          Development/Libraries
Requires:       %{name} = %{version}

Provides:       libdevil-devel <= %{version}
Obsoletes:      libdevil-devel < %{version}

%description -n DevIL-devel
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. Ultimate control of images is left
to the developer, so unnecessary conversions, etc. are not performed.
DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save,
convert, manipulate, filter and display a wide variety of image formats.

Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg,
.lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm,
.psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal,
.pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif.

DevIL currently supports the following APIs for display: OpenGL,
Windows GDI, SDL, DirectX and Allegro. Compilers that can compile
DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual
Basic, Power Basic and Dev-C++.

This package contains the development libraries and headers.

%prep
%setup -q -n devil-%{version}
%patch0
%patch1
%patch2 -p1

%build
# find . -type f -exec dos2unix "{}" "+"
%configure --disable-static --enable-shared --enable-ILUT --enable-ILU --disable-sse3
%__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%post -n libIL%{libIL}
/sbin/ldconfig

%if 0%{?suse_version}
%install_info --info-dir=%{_infodir} %{_infodir}/DevIL_manual.info.gz
%endif

%postun -n libIL%{libIL}
/sbin/ldconfig

%if 0%{?suse_version}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/DevIL_manual.info.gz
%endif

%files -n libIL%{libIL}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING CREDITS NEWS README README.unix TODO
%{_infodir}/DevIL_manual.info.*

%files -n DevIL-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/IL
%{_libdir}/pkgconfig/IL*.pc
%{_bindir}/ilur

%changelog
* Sun Feb 19 2012 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue Aug 30 2011 reddwarf@opensuse.org
- Remove false Requires from the devel package
- Add the full URL to the Source tag
- Use the original tarball without recompression
* Thu Jul 22 2010 bitshuffler@opensuse.org
- Use %%_smp_mflags
- Clean up .spec
- Make .spec compatible with Mandriva
* Tue Jun 29 2010 cmorve69@yahoo.es
- Remove static libs
- Fix compilation with libpng 1.4
- Fix CVE-2009-3994
* Tue Apr  7 2009 dominique-obs@leuenberger.net
- Actually do not mistype --enable-ILUT and also add --enable-ILU (which is
  not, as mentioned in the help, implied with --enable-ILUT).
- Added patch DevIL-%%{version}-return-random-data.patch
* Mon Apr  6 2009 dominique-obs@leuenberger.net
- --enable-iLUT (bnc#492294#c3)
- Exclude the *.la files.
* Sun Apr  5 2009 dominique-obs@leuenberger.net
- Upgrade to version 1.7.8 (bnc#492294)
  For the entire NEWS, see (to long to be copied here, 5 versions)
  http://openil.svn.sourceforge.net/viewvc/openil/trunk/DevIL/NEWS?revision=1564
- Package renames: libdevil1 => libIL1 (SHLib policy)
- Package renames: libdevil-devel => DevIL-devel
* Sun Nov 30 2008 dominique-obs@leuenberger.net
- inlcude the entire %%{includeir}/IL directory, not only it's content to claim
  directory ownership.
* Thu Nov 27 2008 dominique-obs@leuenberger.net
- Drop the self-generated libtool and link the one from /usr/bin
  (this fixes builds on openSUSE Factory)
* Mon Sep 29 2008 dominique-obs@leuenberger.net
- Upgraded to version 1.7.2
* Mon Jul 14 2008 dominique-obs@leuenberger.net
- Added post and postun sections and other rpmlint fixes (bnc#408847)
